## ace 6.5.12+dfsg

=== debian/changelog ===
ace (6.5.12+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Mark build dependency on libfltk1.3-dev. (Closes: #974633)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 05 Dec 2020 20:27:14 +0000

ace (6.5.12+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 07 Nov 2020 09:28:59 +0000

ace (6.5.12+dfsg-1) experimental; urgency=medium

  * Team upload.
  * Update to upstream v6.5.12
    - Sync debian/* with upstream.
    - Revert upstream shebang portability changes.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 30 Oct 2020 22:35:54 +0000

ace (6.5.10+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Fix build on hurd-i386.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 26 Oct 2020 21:45:06 +0000
