## ace 7.0.3+dfsg

=== debian/changelog ===
ace (7.0.3+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 23 Aug 2021 22:27:59 +0100

ace (7.0.3+dfsg-1) experimental; urgency=medium

  * Team upload.
  * Update to upstream v7.0.3
    - Sync debian/* with upstream.
    - Remove upstream applied patch.
    - Add upstream patch to fix doxygen generation.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 19 Aug 2021 21:37:21 +0100

ace (7.0.2+dfsg-2) experimental; urgency=medium

  * Team upload.
  * Add upstream patch to fix FTBFS on arm.
  * Update copyright to use SPDX identifier.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 13 Jun 2021 14:20:33 +0100

ace (7.0.2+dfsg-1) experimental; urgency=medium

  * Team upload.
  * Update get-orig-source script.
  * Update to upstream v7.0.2
    - Sync debian/* with upstream.
    - Exclude files in d/copyright.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 23 May 2021 00:20:02 +0100

ace (7.0.1+dfsg-2) experimental; urgency=medium

  * Team upload.
  * Update Standards-Version to 4.5.1
  * Update copyright to dep5 format.
  * Update debhelper-compat to 13.
    - Mention correct path of installed files.
    - List files not installed.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 16 May 2021 22:27:52 +0100

ace (7.0.1+dfsg-1) experimental; urgency=medium

  * Team upload.
  * Update to upstream v7.0.1
    - Sync debian/* with upstream.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 28 Mar 2021 02:03:03 +0100
